#ifndef __HALFLING_H__
#define __HALFLING_H__

#include "enemy.h"

class halfling final: public enemy_base {
        static fraction HIT_RATE_MUL;
public:
        halfling(RNG *rng, const feature enabled_features, const position &pos,
                 const int gen_room_num);
        const char *get_race_name() const override;
        long_result get_hit(character *ch, const int tATK,
                            const fraction &hit_rate) override;
};

#endif
